﻿using System;
using System.Collections.Generic;

namespace IposiGospodDemo.Context;

public partial class User
{
    public string Email { get; set; } = null!;

    public string Password { get; set; } = null!;

    public string? FirstName { get; set; }

    public string? LastName { get; set; }

    public char RoleId { get; set; }

    public virtual Role Role { get; set; } = null!;

    public virtual ICollection<Runner> Runners { get; set; } = new List<Runner>();
}
