using System;
using IposiGospodDemo.Context;

namespace IposiGospodDemo;

public static class Session
{
    public static readonly String Title = "MARATHON SKILLS 2016";
    public static readonly DateTime MarathonData = new DateTime(2025, 4, 1, 12, 0, 0);
    public static readonly String Location = "Москва, Россия";
    public static readonly String Data = "Вторник 1 апреля 2025";
    public static String RemainingTime = CalculateRemaningTime();
    public static string AssetsPath = null!;
    public static User User = null;

    public static String CalculateRemaningTime()
    {
        TimeSpan timeLeft = MarathonData - DateTime.Now;
        return RemainingTime = timeLeft.TotalSeconds > 0
            ? $"{timeLeft.Days} д. {timeLeft.Hours} ч. {timeLeft.Minutes} мин. до старта марафона"
            : "Марафон уже начался!";
    }
}