using Avalonia;
using Avalonia.Controls;
using Avalonia.Interactivity;
using Avalonia.Markup.Xaml;

namespace IposiGospodDemo.Views;

public partial class MoreInformationWindow : Window
{
    public MoreInformationWindow()
    {
        InitializeComponent();
    }
    
    private void GoBack_OnClick(object? sender, RoutedEventArgs e)
    {
        new MainWindow().Show();
        Close();
    }

    private void SwapToBMICalculatorWindow_OnClick(object? sender, RoutedEventArgs e)
    {
        new BMICalculatorWindow().Show();
        Close();        
    }

    private void SwapToBMRCalculatorWindow_OnClick(object? sender, RoutedEventArgs e)
    {
        new BMRCalculatorWindow().Show();
        Close();
    }

    private void SwapToListOfCharitiesWindow_OnClick(object? sender, RoutedEventArgs e)
    {
        new ListOfCharitiesWindow().Show();
        Close();
    }
}