using System;
using Avalonia.Controls;
using Avalonia.Interactivity;
using IposiGospodDemo.Context;
using IposiGospodDemo.ViewModels;

namespace IposiGospodDemo.Views;

public partial class SponsorshipConfirmationWindow : Window
{
    public SponsorshipConfirmationWindow()
    {
        InitializeComponent();
    }
    
    public SponsorshipConfirmationWindow(User user, decimal amount, String charityName)
    {
        InitializeComponent();
        DataContext = new SponsorshipConfirmationWindowViewModel(user, amount, charityName);
    }
    
    private void GoBack_OnClick(object? sender, RoutedEventArgs e)
    {
        new MainWindow().Show();
        Close();
    }
}