﻿using System;
using System.Collections.Generic;

namespace IposiGospodDemo.Context;

public partial class Staff
{
    public int StaffId { get; set; }

    public string FirstName { get; set; } = null!;

    public string LastName { get; set; } = null!;

    public DateOnly DateOfBirth { get; set; }

    public char Gender { get; set; }

    public int PositionId { get; set; }

    public string Email { get; set; } = null!;

    public string? Comments { get; set; }

    public virtual Position Position { get; set; } = null!;

    public virtual ICollection<Timesheet> Timesheets { get; set; } = new List<Timesheet>();
}
