using System;
using System.Globalization;
using System.Linq;
using Avalonia.Data.Converters;
using IposiGospodDemo.Context;

public class RunnerConverter : IValueConverter
{
    public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
        if (value is User user)
        {
            return $"{user.FirstName} {user.LastName} - {user.Runners.FirstOrDefault()?.RunnerId} ({user.Runners.FirstOrDefault()?.CountryCode})";
        }
        return "Неизвестный бегун";
    }

    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
        throw new NotImplementedException();
    }
}