using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using IposiGospodDemo.Context;
using IposiGospodDemo.Helpers;
using ReactiveUI;

namespace IposiGospodDemo.ViewModels;

public class ListOfCharitiesWindowViewModel : ViewModelBase
{
    private ObservableCollection<Charity> _charities;

    public ObservableCollection<Charity> Charities
    {
        get => _charities; 
        set => this.RaiseAndSetIfChanged(ref _charities, value);
    }

    public ListOfCharitiesWindowViewModel()
    {
        Charities = new(DbHelper.Database.Charities.ToList());
        Console.WriteLine(Charities);
        Console.WriteLine(Charities.Count);
    }
}