using Avalonia;
using Avalonia.Controls;
using Avalonia.Interactivity;
using Avalonia.Markup.Xaml;

namespace IposiGospodDemo.Views;

public partial class RunnerMenuWindow : Window
{
    public RunnerMenuWindow()
    {
        InitializeComponent();
    }

    private void GoBack_OnClick(object? sender, RoutedEventArgs e)
    {
        new MainWindow().Show();
        Close();
    }

    private void Logout_OnClick(object? sender, RoutedEventArgs e)
    {
        Session.User = null;
        new MainWindow().Show();
        Close();
    }

    private void RegistrationOnMarathon_OnClick(object? sender, RoutedEventArgs e)
    {
        new RegistrationForAnEventWindow().Show();
        Close();
    }

    private void EditProfile_OnClick(object? sender, RoutedEventArgs e)
    {
        new EditRunnerProfileWindow().Show();
        Close();
    }

    private void Contacts_OnClick(object? sender, RoutedEventArgs e)
    {
        new ContactsWindow().Show();
    }

    private void MyResults_OnClick(object? sender, RoutedEventArgs e)
    {
        new MyResultsWindow().Show();
        Close();
    }

    private void MySponsor_OnClick(object? sender, RoutedEventArgs e)
    {
        new MySponsorshipWindow().Show();
        Close();
    }
}